CRMchat APIBeta
Telegram APIPayments

payments.toggleChatStarGiftNotifications

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/payments.toggleChatStarGiftNotifications

Enables or disables the reception of notifications every time a gift » is received by the specified channel, can only be invoked by admins with post_messages RawChatAdminRights.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Enables or disables the reception of notifications every time a gift » is received by the specified channel, can only be invoked by admins with post_messages RawChatAdminRights.

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/payments.toggleChatStarGiftNotifications" \  -H "Content-Type: application/json" \  -d '{    "params": {      "peer": {        "_": "inputPeerEmpty"      }    }  }'
{  "result": true}